Bug 206874 - Icon does not appear in desktop menu
Summary: Icon does not appear in desktop menu
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: zynaddsubfx   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Anthony Green
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 206873
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-09-17 16:09 UTC by Anthony Green
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version: zynaddsubfx-2.2.1-17.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-11 21:45:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Anthony Green 2006-09-17 16:09:22 UTC
Description of problem:
ImageMagick is creating bad png files during the build procedure, so icons
do not appear in the desktop menu (although they appear fine n FC5).

Version-Release number of selected component (if applicable):
zynaddsubfx-2.2.1-11.fc6

How reproducible:
Always

Steps to Reproduce:
1.Look in Applications>Sound & Video
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Hans de Goede 2006-11-13 13:12:13 UTC
Shouldn't this bug be files against ImageMagick then?


Comment 2 Hans de Goede 2006-11-16 19:57:01 UTC
A patch fixing the ImageMagick bug has been attached to 206873, maybe you can
rebuild imagemagick with the patch and give it a spin?

My students who create the patch as an assignment, have tested the zynaddsubfx
.ico with their patch (+ a .ico from scummvm with had similar issues) and the
patch fixed converting of both icons.



Comment 3 Anthony Green 2007-01-22 13:58:00 UTC
(In reply to comment #2)
> A patch fixing the ImageMagick bug has been attached to 206873, maybe you can
> rebuild imagemagick with the patch and give it a spin?

The ImageMagick patch _did_ fix the problem!  Thanks.  Now we just need a new
ImageMagick...


Comment 4 Anthony Green 2007-11-11 21:45:18 UTC
I don't know when ImageMagick was updated, but F8 has a visible zynaddsubfx
icon.  I'm closing this.


Note You need to log in before you can comment on or make changes to this bug.